Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class SocketRepository

    java.lang.Object
      org.pentaho.di.www.SocketRepository

    public class SocketRepository

extends Object

This singleton keeps a repository of all the server sockets.

Author:
  matt

Constructor Summary
`SocketRepository()`

Method Summary
`void` | `closeAll()` Closes all sockets on application end...
`Map<Integer,SocketRepositoryEntry>` | `getSocketMap()`
`ServerSocket` | `openServerSocket(int port, String user)`
`void` | `releaseSocket(int port)` We don't actually ever close a server socket, we re-use them as much as possible.
`void` | `setSocketMap(Map<Integer,SocketRepositoryEntry> socketMap)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketRepository

    public SocketRepository()

Method Detail

### openServerSocket

    public ServerSocket openServerSocket(int port,
                                         String user)
                                  throws IOException

  Throws:
    `IOException`

### releaseSocket

    public void releaseSocket(int port)
                       throws IOException

  We don't actually ever close a server socket, we re-use them as much as possible.

  Parameters:
    `port` -
  Throws:
    `IOException`

### getSocketMap

    public Map<Integer,SocketRepositoryEntry> getSocketMap()

  Returns:
    the socketMap

### setSocketMap

    public void setSocketMap(Map<Integer,SocketRepositoryEntry> socketMap)

  Parameters:
    `socketMap` - the socketMap to set

### closeAll

    public void closeAll()
                  throws IOException

  Closes all sockets on application end...

  Throws:
    `IOException` - in case there is an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD